Last Comment Bug 861867 - Add new Toolbar Icons for Thunderbird.
: Add new Toolbar Icons for Thunderbird.
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Mac OS X
: -- enhancement (vote)
: Thunderbird 23.0
Assigned To: Josiah Bruner [:JosiahOne] (needinfo for responses)
:
Mentors:
https://bugzilla.mozilla.org/attachme...
Depends on: 874896
Blocks: 733856
  Show dependency treegraph
 
Reported: 2013-04-15 07:35 PDT by Josiah Bruner [:JosiahOne] (needinfo for responses)
Modified: 2013-05-22 07:43 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
New Toolbar Icons - toolbar.png (26.16 KB, patch)
2013-04-15 11:26 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Splinter Review
Screenshot of the new icons. (704.84 KB, image/png)
2013-04-15 11:27 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
New Toolbar Icons - toolbar.png (28.85 KB, patch)
2013-04-15 11:43 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
richard.marti: review+
richard.marti: ui‑review-
Details | Diff | Splinter Review
New Toolbar Icons - toolbar.png, Address book (36.75 KB, patch)
2013-04-15 15:15 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
josiah: review+
richard.marti: ui‑review-
Details | Diff | Splinter Review
New Address book icons. Screenshot. (402.23 KB, image/png)
2013-04-15 15:16 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
Complete Change (138.30 KB, patch)
2013-04-22 12:21 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
josiah: review+
josiah: ui‑review+
Details | Diff | Splinter Review
Retina Icons. (1.40 MB, image/jpeg)
2013-04-22 12:36 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details

Description Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 07:35:31 PDT
As seen from the mockup linked in the URL field, it's time to redo some icons. I have the icons and will throw together the new toolbar later.
Comment 1 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 11:26:00 PDT
Created attachment 737607 [details] [diff] [review]
New Toolbar Icons - toolbar.png

New toolbar.png. I'll have a screenshot up in a second, and builds a little later.

Requesting ui-review from Richard.

Richard: Since all this patch contains is a new image, review = ui-review. So you have both flags.

Now here's the dilemma. The icons I was provided look very good, but are capable of only modifying toolbar.png, not toolbar.png@2x. So the question is: Should I just scale up the image, and we can have a better graphic artist optimize the image? Or, do we have separate images for the Retina and non-retina modes and still get someone to make new ones. Resolution or consistency is the issue.
Comment 2 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 11:27:12 PDT
Created attachment 737608 [details]
Screenshot of the new icons.
Comment 3 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 11:43:19 PDT
Created attachment 737612 [details] [diff] [review]
New Toolbar Icons - toolbar.png

Whoops. Fixed a bug related to the "New Message" button.
Comment 4 Richard Marti (:Paenglab) 2013-04-15 13:02:48 PDT
Comment on attachment 737612 [details] [diff] [review]
New Toolbar Icons - toolbar.png

Review of attachment 737612 [details] [diff] [review]:
-----------------------------------------------------------------

I like this icons. Please add the new icons also to the AB- and Compozer-toolbar-icons to have a consistent icon logic. I'm thinking at the icons for AB, Write, Delete and File (and maybe more).

For me it looks like the Back- and Forward-icons aren't horizontally centered.

We should now always ship both versions of LoDPI and HiDPI icons and I'm giving only ui-r+ with both versions to be consistent for people using TB on both resolutions.

For this I'm giving ui-r- now but I am sure you find a solution for the HiDPI icons.

r+ because the patch applies without problems ;)
Comment 5 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 15:15:55 PDT
Created attachment 737713 [details] [diff] [review]
New Toolbar Icons - toolbar.png, Address book

Alrighty. Updated patch fixes an accidental pixel in another icon for the toolbar.png. (Back/forward buttons where perfectly aligned, though I was kind of doubting it for a second as well)

More importantly, this adds new icons to the address book. The compose window is not changed at all, simply because I would need completely new icons, and, although I can edit and use graphic tools. I can't create things from scratch for the life of me. So for now, I am just going to leave that be.

Now, I was a little confused by your comment, but it sounds to me like the ui-review+ was for the style and look of everything, and the ui-review- is for the lack of consistency on the retina mode. Is this correct?

I will still need to deal with the retina mode later... Screenshots coming in a second.
Comment 6 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 15:16:59 PDT
Created attachment 737716 [details]
New Address book icons. Screenshot.

Screenshot of the Address book's icons.
Comment 7 rsx11m 2013-04-15 17:38:11 PDT
Josiah, if this bug covers the Mac OSX icons only, can you set the platform flags respectively? Otherwise it's confusing.
Comment 8 rsx11m 2013-04-15 17:41:34 PDT
Thanks. :-)
Comment 9 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-15 17:59:54 PDT
(In reply to rsx11m from comment #7)
> Josiah, if this bug covers the Mac OSX icons only, can you set the platform
> flags respectively? Otherwise it's confusing.

Thanks for the reminder! At first I was planning on changing the icons for all platforms, but discovered icons aren't consistent anyway. So I completely forgot about changing the flags.
Comment 10 Richard Marti (:Paenglab) 2013-04-16 12:56:15 PDT
Comment on attachment 737713 [details] [diff] [review]
New Toolbar Icons - toolbar.png, Address book

Review of attachment 737713 [details] [diff] [review]:
-----------------------------------------------------------------

I'm okay now with the icons. Also for the AB.

UI-r- for the lack of HiDPI icons but you are already on it to organize them.
Comment 11 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-22 12:21:21 PDT
Created attachment 740415 [details] [diff] [review]
Complete Change

Updated patch. Adds retina mode. ui-review+ because it previously passed ui-review, with the exception of missing retina. No need to bother Richard with another review.

Carrying review+ flag as well.
Comment 12 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-04-22 12:36:41 PDT
Created attachment 740420 [details]
Retina Icons.

UI demonstration with HiDPI icons.
Comment 13 Ryan VanderMeulen [:RyanVM] 2013-04-27 18:49:33 PDT
https://hg.mozilla.org/comm-central/rev/c1d874b29778

Note You need to log in before you can comment on or make changes to this bug.